Name:		auto-nng
Version:	1.7
Release:	2%{?dist}
Summary:	A software for analysis and classification of data, using AI NN

Group:		Applications/Engineering
License:	MIT
URL:		http://www.public-software-group.org/auto-nng
Source0:	http://www.public-software-group.org/pub/projects/auto-nng/v%{version}/%{name}.v%{version}.tar.gz
Patch0:		%{name}-cflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby


%description
auto-nng is a software for analysis and classification of data, using 
artificial neuronal networks.
You can feed an amount of datasets consisting of certain input and output 
parameters into the program, to make it try to find a mathematical correlation 
between the input and output parameters. Afterwards the program tries to 
calculate the output parameters for datasets which only have known input 
parameters.


%prep
%setup -q -n %{name}.v%{version}
# patch0: Not sent upstream, as it is buildsystem related.
%patch0 -p1 -b .cflags


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%check
# Test takes at max 3 minutes so do not wonder.
make test


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}/
install auto-nng %{buildroot}/%{_bindir}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/*

%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 31 2011 Fabian Deutsch <fabiand@fedoraproject.org> - 1.7-1
- Update to 1.7
- Updated URL and CHANGELOG

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 1.5-2
- Description fine tuning
- Passing CFLAGS to compiler
- Enabling test

* Sun Apr 18 2009 Fabian Deutsch <fabian.deutsch@gmx.de> - 1.5-1
- Initial package.
